/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\labyrinth\mobiles\MinotaurCaptain.cs
Lines of code: 89
***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a Minotaur Captain" )]
	public class MinotaurCaptain : BaseCreature
	{	
	
		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 3 ) )
			{
			default:				
			case 0: return WeaponAbility.DualWield;
			case 1: return WeaponAbility.DoubleStrike;
			case 2: return WeaponAbility.Feint;
			}
		}	

		[Constructable]
		public MinotaurCaptain() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.16, 0.20 )
		{
			Name = "a Minotaur Captain";
			Body = 280;
			BaseSoundID = 120;

			SetStr( 406, 423 );
			SetDex( 92, 110 );
			SetInt( 32, 50 );
			
			SetHits( 402, 440 );
			SetStam( 92, 110 );
			SetMana( 32, 50 );
			
			SetDamage( 21, 31 );

			SetDamageType( ResistanceType.Physical, 100 );
	
			//default resists
			SetResistance( ResistanceType.Physical, 65, 75 );
			SetResistance( ResistanceType.Fire, 35, 45 );
			SetResistance( ResistanceType.Cold, 40, 50 );
			SetResistance( ResistanceType.Poison, 40, 49 );
			SetResistance( ResistanceType.Energy, 41, 50 );
			
			//default skills			
			SetSkill( SkillName.MagicResist, 66.1, 73.6 );
			SetSkill( SkillName.Tactics, 93.0, 109.9 );
			SetSkill( SkillName.Wrestling, 92.6, 107.2 );
			SetSkill( SkillName.Anatomy, 0, 6.3 );
			SetSkill( SkillName.DetectHidden, 160.0, 180.0 );

			Fame = 11000;
			Karma = -11000;

			VirtualArmor = 22;
		
		}
		
		public override int GetAngerSound()
		{
			return 1016;
		}

		public override int GetIdleSound()
		{
			return 1018;
		}

		public override int GetAttackSound()
		{
			return 1017;
		}

		public override int GetHurtSound()
		{
			return 1019;
		}

		public override int GetDeathSound()
		{
			return 1020;
		}	

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 2 );
		}

		public override int Meat{ get{ return 5; } }
		public override int Hides{ get{ return 14; } }
		public override FoodType FavoriteFood{ get{ return FoodType.FruitsAndVegies; } }
		public override bool IsMLCreature { get { return true;} } 


		public MinotaurCaptain(Serial serial) : base(serial)
		{
		}
	
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 ); // version
			//writer.Write( m_SpeedBoost );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			/*switch( version )
			{
				case 1:
				{
					m_SpeedBoost = reader.ReadBool();
					break;
				}
			}*/
		}
	}
}ÿ